package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceTypePO;
import mhp.oee.po.gen.ResourceTypePOExample;

public interface ResourceTypePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int countByExample(ResourceTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int insert(ResourceTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int insertSelective(ResourceTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    List<ResourceTypePO> selectByExample(ResourceTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    ResourceTypePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceTypePO record, @Param("example") ResourceTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceTypePO record, @Param("example") ResourceTypePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceTypePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_type
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceTypePO record);

    //支持多site查询
    public List<ResourceTypePO> selectBySites(@Param("siteList") List<String> siteList);
}